#! /usr/bin/env python

from scitools.std import *

def Tp(n, p):
    return (n/p - 1) + 11 * log(p)

p = array((1, 4, 16, 64, 256))
W = 256

speedup = Tp(W, 1)/Tp(W, p)
scaled  = Tp(p*W, 1)/Tp(p*W, p)

plot(p, speedup,
     p, scaled,
     grid=True,
     legend=('speedup', 'scaled speedup'))
